HELP2MAN(1)

NOME
help2man - genera una semplice pagina di manuale

SINTASSI
help2man [OPZIONE]... ESEGUIBILE

DESCRIZIONE
"help2man" genera una pagina man dall'output di "--help" e "--version".

-n, --name=STRINGA
    Descrizione per il paragrafo NOME

-s, --section=SEZIONE
    Numero di sezione per la pagina di manuale (1, 6, 8)

-m, --manual=TESTO
    Nome del manuale (Comandi utente, ...)

-S, --source=TESTO
    Provenienza del programma (FSF, Debian, ...)

-L, --locale=STRINGA
    Seleziona la localizzazione (predefinita "C")

-i, --include=FILE
    Include il materiale proveniente dal "FILE"

-I, --opt-include=FILE
    Include il materiale proveniente dal "FILE" se esiste

-o, --output=FILE
    Invia l'output su "FILE"

-p, --info-page=TESTO
    Nome del manuale Texinfo

-N, --no-info
    Elimina il riferimento al manuale Texinfo

-l, --libtool
    Esclude "lt-" dal nome del programma

--help
    Stampa questo aiuto ed esce

--version
    Stampa il numero di versione ed esce

L'ESEGUIBILE dovrebbe accettare le opzioni "--help" e "--version" e produrre output su stdout sebbene le alternative possano essere specificate usando:

-h, --help-option=STRINGA
    Stringa con opzione alternativa per l'aiuto

-v, --version-option=STRINGA
    Stringa con opzione alternativa per la versione

--version-string=STRINGA
    Stringa della versione

--no-discard-stderr
    Include lo stderr nell'analisi dell'output dell'opzione

FILE DI INCLUSIONE
Nell'output generato possono essere inclusi materiali aggiuntivi con le opzioni --include e --opt-include. Il formato è semplice:
    [sezione]
    testo
    /modello/
    testo Blocchi di testo letterale *roff sono inseriti all'interno dell'output all'inizio della [sezione] fornita (ignorando la differenza tra maiuscole e minuscole) oppure dopo un paragrafo che corrisponde al /modello/. I modelli usano la sintassi delle espressioni regolari Perl e possono essere seguiti dai modificatori i, s oppure m (consultare perlre(1)). Le righe precedenti la prima sezione o i modelli che iniziano con "-" sono elaborati come opzioni. Qualsiasi altra cosa è ignorata in silenzio e può essere usata per commenti, parole chiave RCS e simili. L'ordine di output delle sezioni (per quelle incluse) è:
    NOME
    SINTASSI
    DESCRIZIONE
    OPZIONI
    VARIABILI D'AMBIENTE
    FILE
    ESEMPI
    altre
    AUTORE
    SEGNALAZIONE BUG
    COPYRIGHT
    VEDERE ANCHE Qualsiasi sezione [NOME] o [SINTASSI] che compare nel file di inclusione andrà a sostituire quelle che sarebbero prodotte automaticamente (anche se è sempre possibile annullare le prime con --name se necessario). Altre sezioni sono inserite prima di quelle automaticamente prodotte in output per le sezioni standard fornite precedentemente, oppure sono incluse in altre (come sopra) nell'ordine riscontrato nel file di inclusione. Placement of the text within the section may be explicitly requested by using the syntax [<section], [=section] or [>section] to place the additional text before, in place of, or after the default output respectively.

DISPONIBILITÀ
L'ultima versione di questa distribuzione è disponibile online su:
    ftp://ftp.gnu.org/gnu/help2man/

AUTORE
Scritto da Brendan O'Dea <bod@debian.org>

SEGNALAZIONE BUG
Segnalare i bug a <bug-help2man@gnu.org>.

COPYRIGHT
Copyright © 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017 Free Software Foundation, Inc.
Questo è software libero; si vedano i sorgenti per le condizioni di copia. NON c'è alcuna garanzia; neppure di COMMERCIABILITÀ o di IDONEITÀ A UNO SCOPO PARTICOLARE.

VEDERE ANCHE
L'intera documentazione di help2man è mantenuta come un manuale Texinfo. Se i programmi info e help2man sono installati correttamente, il comando

    info help2man

dovrebbe dare accesso al manuale completo.